## socnetv 0.70

=== Makefile ===
#############################################################################
# Makefile for building: socnetv
# Generated by qmake (2.01a) (Qt 4.5.1) on: Sun Jun 28 23:14:32 2009
# Project:  socnetv.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -after  CONFIG+=release -o Makefile socnetv.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -msse -mfpmath=sse -ffast-math -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4 -Isrc -I/usr/include/qt4 -I/usr/local/include -I/usr/include -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQtWebKit -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/backgrcircle.cpp \
		src/graphicswidget.cpp \
		src/edge.cpp \
		src/edgeweight.cpp \
		src/graph.cpp \
		src/htmlviewer.cpp \
		src/main.cpp \
		src/mainwindow.cpp \
		src/matrix.cpp \
		src/node.cpp \
		src/nodelabel.cpp \
		src/nodenumber.cpp \
		src/texteditor.cpp \
		src/vertex.cpp \
		src/parser.cpp \
		src/filteredgesbyweightdialog.cpp \
		src/webcrawlerdialog.cpp \
		src/webcrawler.cpp moc_backgrcircle.cpp \
		moc_graphicswidget.cpp \
		moc_edge.cpp \
		moc_graph.cpp \
		moc_htmlviewer.cpp \
		moc_mainwindow.cpp \
		moc_node.cpp \
		moc_texteditor.cpp \
		moc_vertex.cpp \
		moc_parser.cpp \
		moc_filteredgesbyweightdialog.cpp \
		moc_webcrawlerdialog.cpp \
		moc_webcrawler.cpp \
		qrc_src.cpp
OBJECTS       = backgrcircle.o \
		graphicswidget.o \
		edge.o \
		edgeweight.o \
		graph.o \
		htmlviewer.o \
		main.o \
		mainwindow.o \
		matrix.o \
		node.o \
		nodelabel.o \
		nodenumber.o \
		texteditor.o \
		vertex.o \
		parser.o \
		filteredgesbyweightdialog.o \
		webcrawlerdialog.o \
		webcrawler.o \
		moc_backgrcircle.o \
		moc_graphicswidget.o \
		moc_edge.o \
		moc_graph.o \
		moc_htmlviewer.o \
		moc_mainwindow.o \
		moc_node.o \
		moc_texteditor.o \
		moc_vertex.o \
		moc_parser.o \
		moc_filteredgesbyweightdialog.o \
		moc_webcrawlerdialog.o \
		moc_webcrawler.o \
		qrc_src.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		socnetv.pro
QMAKE_TARGET  = socnetv
DESTDIR       = 
TARGET        = socnetv

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_filteredgesbyweightdialog.h ui_webcrawlerdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: socnetv.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -after  CONFIG+=release -o Makefile socnetv.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtWebKit.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -after  CONFIG+=release -o Makefile socnetv.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/socnetv1.0.0 || $(MKDIR) .tmp/socnetv1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/socnetv1.0.0/ && $(COPY_FILE) --parents src/backgrcircle.h src/graphicswidget.h src/edge.h src/edgeweight.h src/graph.h src/htmlviewer.h src/mainwindow.h src/matrix.h src/node.h src/nodelabel.h src/nodenumber.h src/texteditor.h src/vertex.h src/parser.h src/filteredgesbyweightdialog.h src/webcrawlerdialog.h src/webcrawler.h .tmp/socnetv1.0.0/ && $(COPY_FILE) --parents src/src.qrc .tmp/socnetv1.0.0/ && $(COPY_FILE) --parents src/backgrcircle.cpp src/graphicswidget.cpp src/edge.cpp src/edgeweight.cpp src/graph.cpp src/htmlviewer.cpp src/main.cpp src/mainwindow.cpp src/matrix.cpp src/node.cpp src/nodelabel.cpp src/nodenumber.cpp src/texteditor.cpp src/vertex.cpp src/parser.cpp src/filteredgesbyweightdialog.cpp src/webcrawlerdialog.cpp src/webcrawler.cpp .tmp/socnetv1.0.0/ && $(COPY_FILE) --parents src/forms/filteredgesbyweightdialog.ui src/forms/webcrawlerdialog.ui .tmp/socnetv1.0.0/ && $(COPY_FILE) --parents translations/socnetv_es.ts .tmp/socnetv1.0.0/ && (cd `dirname .tmp/socnetv1.0.0` && $(TAR) socnetv1.0.0.tar socnetv1.0.0 && $(COMPRESS) socnetv1.0.0.tar) && $(MOVE) `dirname .tmp/socnetv1.0.0`/socnetv1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/socnetv1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_backgrcircle.cpp moc_graphicswidget.cpp moc_edge.cpp moc_graph.cpp moc_htmlviewer.cpp moc_mainwindow.cpp moc_node.cpp moc_texteditor.cpp moc_vertex.cpp moc_parser.cpp moc_filteredgesbyweightdialog.cpp moc_webcrawlerdialog.cpp moc_webcrawler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_backgrcircle.cpp moc_graphicswidget.cpp moc_edge.cpp moc_graph.cpp moc_htmlviewer.cpp moc_mainwindow.cpp moc_node.cpp moc_texteditor.cpp moc_vertex.cpp moc_parser.cpp moc_filteredgesbyweightdialog.cpp moc_webcrawlerdialog.cpp moc_webcrawler.cpp
moc_backgrcircle.cpp: src/backgrcircle.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/backgrcircle.h -o moc_backgrcircle.cpp

moc_graphicswidget.cpp: src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/graphicswidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/graphicswidget.h -o moc_graphicswidget.cpp

moc_edge.cpp: src/edge.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/edge.h -o moc_edge.cpp

moc_graph.cpp: src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/graph.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/graph.h -o moc_graph.cpp

moc_htmlviewer.cpp: src/htmlviewer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/htmlviewer.h -o moc_htmlviewer.cpp

moc_mainwindow.cpp: src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h \
		src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h \
		src/mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/mainwindow.h -o moc_mainwindow.cpp

moc_node.cpp: src/node.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/node.h -o moc_node.cpp

moc_texteditor.cpp: src/texteditor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/texteditor.h -o moc_texteditor.cpp

moc_vertex.cpp: src/vertex.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/vertex.h -o moc_vertex.cpp

moc_parser.cpp: src/parser.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/parser.h -o moc_parser.cpp

moc_filteredgesbyweightdialog.cpp: ui_filteredgesbyweightdialog.h \
		src/filteredgesbyweightdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/filteredgesbyweightdialog.h -o moc_filteredgesbyweightdialog.cpp

moc_webcrawlerdialog.cpp: ui_webcrawlerdialog.h \
		src/webcrawlerdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/webcrawlerdialog.h -o moc_webcrawlerdialog.cpp

moc_webcrawler.cpp: src/webcrawler.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/webcrawler.h -o moc_webcrawler.cpp

compiler_rcc_make_all: qrc_src.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_src.cpp
qrc_src.cpp: src/src.qrc \
		src/images/dm.png \
		src/images/colorize.png \
		src/images/net2.png \
		src/images/help.png \
		src/images/exit.png \
		src/images/zoomout.png \
		src/images/diameter.png \
		src/images/diamond.png \
		src/images/avdistance.png \
		src/images/open.png \
		src/images/net3.png \
		src/images/erdos.png \
		src/images/symmetry.png \
		src/images/gridlines.png \
		src/images/nodes.png \
		src/images/color.png \
		src/images/box.png \
		src/images/save.png \
		src/images/connect.png \
		src/images/socnetv.png \
		src/images/sw.png \
		src/images/zoomin.png \
		src/images/forward.png \
		src/images/remove.png \
		src/images/line.png \
		src/images/letters.png \
		src/images/net.png \
		src/images/nodeout.png \
		src/images/view.png \
		src/images/symmetrize.png \
		src/images/saved.png \
		src/images/circular.png \
		src/images/print.png \
		src/images/node.png \
		src/images/plines.png \
		src/images/nodein.png \
		src/images/distance.png \

## socnetv 0.81

=== debian/changelog ===
socnetv (0.81-1) unstable; urgency=low

  * New Upstream Version
  * Register the socnetv manual with doc-base and add Suggests: doc-base
  * Drop add-missing-include.dpatch (adopted upstream)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Convert to dpkg-source 3.0 (quilt) format
  * Drop Build-Depends: dpatch
  * Minimise debian/rules and depend on debhelper >= 7.0.50~

 -- Serafeim Zanikolas <serzan@hellug.gr>  Fri, 29 Jan 2010 23:29:39 +0100

socnetv (0.70-1) unstable; urgency=low

  * New Upstream Version
  * Bump Standards-Version to 3.8.2 (no changes)
  * Compile without SSE instructions, to work with all supported x86 chips

 -- Serafeim Zanikolas <serzan@hellug.gr>  Mon, 13 Jul 2009 20:17:45 +0200

socnetv (0.51-1) unstable; urgency=low

  * New Upstream Version
  * Move package to unstable.

 -- Serafeim Zanikolas <serzan@hellug.gr>  Wed, 18 Feb 2009 20:27:57 +0000

socnetv (0.44-1) experimental; urgency=low

  * Initial release (Closes: #490707)

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 03 Aug 2008 21:11:12 +0100

=== debian/control ===
Source: socnetv
Section: math
Priority: optional
Maintainer: Serafeim Zanikolas <serzan@hellug.gr>
Build-Depends: debhelper (>= 7.0.50~), libqt3-headers, qt3-dev-tools, libqt4-dev, libstdc++6-4.4-dev | libstdc++-dev
Standards-Version: 3.8.4
Homepage: http://socnetv.sf.net

Package: socnetv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base
Description: social network analysis and visualisation application
 SocNetV is a graphical application designed to be an easy tool for Social
 Networks Analysis and Visualisation (not to be confused with social
 networking, as in online communities). With it, one can load and visualise
 networks of various formats (GraphViz, Adjacency, Pajek, etc), and/or visually
 create and modify a network in a point and click fashion.
 .
 The program can also compute network statistics and properties (such as
 distances, centralities, diameter) and apply some layout algorithms for more
 meaningful visualisation of your networks. Furthermore, socnetv can create
 simple random networks (lattice, same degree, etc).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure
	sed -i -e 's/ -msse -mfpmath=sse//' socnetv.pro
	sed -i -e 's?^prefix  = /usr/local?prefix  = /usr?' Makefile
	$(MAKE)
	touch build-stamp

override_dh_compress:
	rm -f debian/socnetv/usr/share/doc/socnetv/COPYING
	if [ -d debian/socnetv/usr/share/socnetv/nets/jin ]; then \
		rmdir debian/socnetv/usr/share/socnetv/nets/jin; \
	fi
	dh_compress

## socnetv 0.90

=== debian/changelog ===
socnetv (0.90-3) unstable; urgency=low

  * Drop redundant Qt3 build-dependencies; thanks to Ana Guerrero
    <ana@debian.org>. Closes: #672764
  * Bump Standards-Version to 3.9.3
    - convert debian/copyright to DEP5 format
  * Do not install upstream changelog twice

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 13 May 2012 20:31:33 +0200

socnetv (0.90-2) unstable; urgency=high

  * Build-depend on libqtwebkit-dev for the WebKit header files, which used to
    be available via libqt4-dev. Closes: #618123 (high urgency for RC bug).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 Mar 2011 20:10:17 +0100

socnetv (0.90-1) unstable; urgency=low

  * New Upstream Release
  * Bump Standards-Version to 3.9.1 (no changes)
  * Update my email and add Vcs-* fields in debian/control

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 19 Feb 2011 19:32:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: socnetv
 Section: math
 Priority: optional
-Maintainer: Serafeim Zanikolas <serzan@hellug.gr>
-Build-Depends: debhelper (>= 7.0.50~), libqt3-headers, qt3-dev-tools, libqt4-dev, libstdc++6-4.4-dev | libstdc++-dev
-Standards-Version: 3.8.4
+Maintainer: Serafeim Zanikolas <sez@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, libstdc++6-4.4-dev | libstdc++-dev, libqtwebkit-dev
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/collab-maint/socnetv.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/socnetv.git
 Homepage: http://socnetv.sf.net
 
 Package: socnetv

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 	touch build-stamp
 
 override_dh_compress:
-	rm -f debian/socnetv/usr/share/doc/socnetv/COPYING
+	rm -f debian/socnetv/usr/share/doc/socnetv/COPYING \
+		debian/socnetv/usr/share/doc/socnetv/ChangeLog
 	if [ -d debian/socnetv/usr/share/socnetv/nets/jin ]; then \
 		rmdir debian/socnetv/usr/share/socnetv/nets/jin; \
 	fi

=== debian/watch ===
version=3
http://sf.net/socnetv/SocNetV-(.*)\.tar\.gz

## socnetv 1.4+dfsg

=== debian/changelog ===
socnetv (1.4+dfsg-2) unstable; urgency=medium

  * updated VCS-Browser field 
  * disabled sse optimization flags (won't build on non-x86 otherwise)
  * bumped standards to 3.9.6 (no changes neeed)

 -- Caitlin Matos <caitlin.matos@zoho.com>  Fri, 19 Sep 2014 15:05:15 -0400

socnetv (1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4

 -- Caitlin Matos <caitlin.matos@zoho.com>  Wed, 03 Sep 2014 10:39:23 -0400

socnetv (1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3
  * New maintainer (Closes: #758454)
  * Auto-remove PDF for DFSG compliance
    - use Files-Excluded field in d/copyright
    - d/watch: use uversionmangle to add +dfsg
    - added README.source for explanation
  * Updated build-deps, suggests, compat
    - Removed qt4-related bdeps
    - added qt5-related bdeps: webkit, opengl
    - removed Suggests: doc-base 
  * d/rules:
    - removed configure, compress overrides (no longer necessary)
    - added override_dh_auto_install
    - build with Qt5
  * removed d/clean: *.in files removed upstream, unnecessary
  * updated d/copyright
  * reworded description
  * registered HTML manual with doc-base
  * bumped dh, compat to 9
  * bumped standards to 3.9.5 (no changes)

 -- Caitlin Matos <caitlin.matos@zoho.com>  Thu, 28 Aug 2014 15:51:47 -0400

socnetv (0.90-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop build dependency on libstdc++6-4.4-dev

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 15:42:14 +0200

=== debian/control ===
Source: socnetv
Section: math
Priority: optional
Maintainer: Caitlin Matos <caitlin.matos@zoho.com>
Build-Depends: debhelper (>= 9), libqt5webkit5-dev, libqt5opengl5-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/socnetv.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/socnetv.git
Homepage: http://socnetv.sf.net

Package: socnetv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Social Network Analysis and Visualisation application
 SocNetV is a graphical application designed to be an easy tool for Social
 Networks Analysis and Visualisation (not to be confused with social
 networking, as in online communities). With SocNetV, one can load and
 visualise networks of various formats (GraphViz, GraphML, Adjacency, Pajek,
 UCINET, etc), or visually create and modify a network/graph in a point and
 click fashion.
 .
 SocNetV can also compute network statistics and properties (such as
 distances, centralities, diameter) and apply some layout algorithms for more
 meaningful visualisation of your networks. Furthermore, SocNetV can create
 simple random networks (lattice, same degree, etc).

## socnetv 1.9

=== debian/changelog ===
socnetv (1.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Update debian/copyright now that non-DFSG free pdf is not included
    upstream
  * Refresh debian/patches/optimization-flags.patch
  * Add debian/patches/js-includes.patch and depend on libjs-mathjax

 -- Dimitris Kalamaras <dimitris.kalamaras@gmail.com>  Sun, 28 Jun 2015 21:28:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: socnetv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-mathjax
 Description: Social Network Analysis and Visualisation application
  SocNetV is a graphical application designed to be an easy tool for Social
  Networks Analysis and Visualisation (not to be confused with social

## socnetv 2.1

=== debian/changelog ===
socnetv (2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Drop libjs-mathjax dependency, debian/socnetv.doc-base, and
    debian/patches/js-includes.patch, now that upstream does not ship
    a manual anymore.
  * Drop debian/patches/optimization-flags.patch; upstream comments out
    the flags the patch was disabling.
  * Bumped standards to 3.9.8 (no changes needed).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 02 Oct 2016 15:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Caitlin Matos <caitlin.matos@zoho.com>
 Build-Depends: debhelper (>= 9), libqt5webkit5-dev, libqt5opengl5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/socnetv.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/socnetv.git
 Homepage: http://socnetv.sf.net
 
 Package: socnetv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-mathjax
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Social Network Analysis and Visualisation application
  SocNetV is a graphical application designed to be an easy tool for Social
  Networks Analysis and Visualisation (not to be confused with social

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
    http://sf.net/socnetv/SocNetV-(.*)\.tar\.gz

## socnetv 2.2

=== debian/changelog ===
socnetv (2.2-1) unstable; urgency=low

  * QA upload.
  * Orphan package (see #853048 for rationale).
  * New upstream release.
  * debian/control: update homepage.
  * debian/watch: scan the new project home at github.

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 29 Jan 2017 10:36:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: socnetv
 Section: math
 Priority: optional
-Maintainer: Caitlin Matos <caitlin.matos@zoho.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt5webkit5-dev, libqt5opengl5-dev
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/socnetv.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/socnetv.git
-Homepage: http://socnetv.sf.net
+Homepage: http://socnetv.org
 
 Package: socnetv
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d[0-9.]+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/socnetv/app/releases .*/v?(\d[0-9.]+)\.tar\.gz

## socnetv 2.4

=== debian/changelog ===
socnetv (2.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:17 +0100

socnetv (2.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Bumped standards
    - switch Vcs-Browser to https

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 11 Mar 2018 15:59:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libqt5webkit5-dev, libqt5opengl5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: git://anonscm.debian.org/collab-maint/socnetv.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/socnetv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/socnetv.git
 Homepage: http://socnetv.org
 
 Package: socnetv

## socnetv 2.5

=== debian/changelog ===
socnetv (2.5-1) unstable; urgency=medium

  * Intent to adopt. Closes: #853048.
  * New upstream release.
  * Upgraded debhelper compat to v13.
  * Upgraded Standards-Version to 4.5.0.
  * QA based on what Lintian (with -Ivi flags) reported. 

 -- Adrià García-Alzórriz <adria@fsfe.org>  Fri, 25 Sep 2020 20:20:17 +0200

=== debian/control ===
Source: socnetv
Section: math
Priority: optional
Maintainer: Adrià García-Alzórriz <adria@fsfe.org>
Build-Depends: debhelper-compat (= 13),
               libqt5charts5-dev,
               libqt5svg5-dev,
               qtbase5-dev,
               qtbase5-dev-tools
Standards-Version: 4.5.0
Homepage: https://socnetv.org
Vcs-Git: https://github.com/socnetv/app.git
Vcs-Browser: https://github.com/socnetv/app/tree/master/

Package: socnetv
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Social Networks Analysis and Visualization software
 SocNetV (Social Network Visualiser) is a flexible and
 user-friendly tool for Social Networks Analysis and Visualisation.
 It lets you create new networks (graphs) with a few clicks on a
 virtual canvas or load networks of various formats (GraphML,
 GraphViz, Adjacency, UCINET, Pajek, etc) and modify them to suit
 your needs.
 .
 The application can compute network properties, such as density,
 diameter and geodesic distances, as well as node-wise and network
 indices such as various types of Centrality and Prestige.
 Various layout algorithms (i.e. Spring-embedder, circular and in
 levels according to prominence indices) are supported for
 meaningful visualisations of your networks. Furthermore, it can
 create various random networks (Erdos-Renyi, Watts-Strogatz,
 ring lattice, etc) with a few clicks.
 .

## socnetv 2.8

=== debian/changelog ===
socnetv (2.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:42 +1100

socnetv (2.8-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:09:07 +0000

socnetv (2.8-1) unstable; urgency=medium

  * New upstream release.
  * Bumped debian/watch to 4.
  * Bumped Standards-Version to 4.5.1.
  * Dropped two patches already upstream: 
    - debian/patches/Added-Keywords-Desktop
    - debian/patches/spelling-error-in-binary

 -- Adrià García-Alzórriz <adria@fsfe.org>  Sun, 03 Jan 2021 19:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: socnetv
 Section: math
 Priority: optional
-Maintainer: Adrià García-Alzórriz <adria@fsfe.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adrià García-Alzórriz <adria@fsfe.org>
 Build-Depends: debhelper-compat (= 13),
                libqt5charts5-dev,
                libqt5svg5-dev,
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://socnetv.org
 Vcs-Git: https://github.com/socnetv/app.git
 Vcs-Browser: https://github.com/socnetv/app/tree/master/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d[0-9.]+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/socnetv/app/releases .*/v?(\d[0-9.]+)\.tar\.gz
